- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# X509PublicKey Class Reference

`#include <asn.h>`

Inheritance diagram for X509PublicKey:

List of all members.

## Detailed Description

encodes/decodes subjectPublicKeyInfo

Definition at line 245 of file asn.h.

## Public Member Functions
void | BERDecode (BufferedTransformation &bt)
| decode this object from a BufferedTransformation, using BER (Basic Encoding Rules)
void | DEREncode (BufferedTransformation &bt) const
| encode this object into a BufferedTransformation, using DER (Distinguished Encoding Rules)
virtual OID | GetAlgorithmID () const=0
virtual bool | BERDecodeAlgorithmParameters (BufferedTransformation &bt)
virtual bool | DEREncodeAlgorithmParameters (BufferedTransformation &bt) const
virtual void | BERDecodePublicKey (BufferedTransformation &bt, bool parametersPresent, size_t size)=0
| decode subjectPublicKey part of subjectPublicKeyInfo, without the BIT STRING header
virtual void | DEREncodePublicKey (BufferedTransformation &bt) const =0
| encode subjectPublicKey part of subjectPublicKeyInfo, without the BIT STRING header
void | Save (BufferedTransformation &bt) const
| save key into a BufferedTransformation
void | Load (BufferedTransformation &bt)
| load key from a BufferedTransformation
virtual void | BEREncode (BufferedTransformation &bt) const
| encode this object into a BufferedTransformation, using BER

## Member Function Documentation

void ASN1CryptoMaterial< PublicKey >::Load | ( | BufferedTransformation & | bt | ) | `[inline, virtual, inherited]`

Reimplemented from CryptoMaterial.

Reimplemented in InvertibleRSAFunction.

Definition at line 240 of file asn.h.

References ASN1Object::BERDecode().

virtual void ASN1Object::BEREncode | ( | BufferedTransformation & | bt | ) | const`[inline, virtual, inherited]`

encode this object into a BufferedTransformation, using BER

this may be useful if DEREncode() would be too inefficient

Definition at line 1579 of file cryptlib.h.

Referenced by ASN1CryptoMaterial< PublicKey >::Save().

The documentation for this class was generated from the following files:

- asn.h
- asn.cpp